Loading...
Searching...
No Matches
Elf64_Shdr Struct Reference
Utility Functions » ELF binary format

ELF64 section header. More...

`#include <elf.h>`

Collaboration diagram for Elf64_Shdr:

## Data Fields

Elf64_Word | sh_name
| name of sect (idx into strtab)
Elf64_Word | sh_type
| section's type
Elf64_Xword | sh_flags
| section's flags
Elf64_Addr | sh_addr
| memory address of section
Elf64_Off | sh_offset
| file offset of section
Elf64_Xword | sh_size
| file size of section
Elf64_Word | sh_link
| idx to associated header section
Elf64_Word | sh_info
| extra info of header section
Elf64_Xword | sh_addralign
| address alignment constraints
Elf64_Xword | sh_entsize
| size of entry if sect is table

## Detailed Description

ELF64 section header.

Definition at line 362 of file elf.h.

## Field Documentation

## sh_flags

Elf64_Xword Elf64_Shdr::sh_flags

section's flags

See also
  Elf_SHFs

Definition at line 366 of file elf.h.

## sh_type

Elf64_Word Elf64_Shdr::sh_type

section's type

See also
  Elf_SHTs

Definition at line 365 of file elf.h.

The documentation for this struct was generated from the following file:

- l4/util/elf.h